Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Merge pull request #215 from davidvossel/spec_fedora19_update

Updates to spec and configure.ac for building against fedora 19
  • Loading branch information...
commit 75afe09fdaaea3a9dbed7edca84b95aa1b37b053 2 parents 0c39611 + 65da3a1
@davidvossel davidvossel authored
Showing with 4 additions and 1 deletion.
  1. +1 −1  configure.ac
  2. +3 −0  resource-agents.spec.in
View
2  configure.ac
@@ -705,7 +705,7 @@ AM_CONDITIONAL(USE_LIBNET, test "x$libnet_version" != "xnone" )
dnl ************************************************************************
dnl * Check for netinet/icmp6.h to enable the IPv6addr resource agent
AC_CHECK_HEADERS(netinet/icmp6.h,[],[],[#include <sys/types.h>])
-AM_CONDITIONAL(USE_IPV6ADDR, test "$ac_cv_header_netinet_icmp6_h" = yes )
+AM_CONDITIONAL(USE_IPV6ADDR, test "$ac_cv_header_netinet_icmp6_h" = yes && test "$ac_cv_header_heartbeat_glue_config_h" = yes)
dnl ========================================================================
dnl Compiler flags
View
3  resource-agents.spec.in
@@ -116,6 +116,9 @@ Group: Productivity/Clustering/HA
%endif
Obsoletes: heartbeat-ldirectord <= %{version}
Provides: heartbeat-ldirectord = %{version}
+%if 0%{?fedora} > 18 || 0%{?centos_version} > 6 || 0%{?rhel} > 6
+BuildRequires: perl-podlators
+%endif
Requires: %{SSLeay} perl-libwww-perl perl-MailTools
Requires: ipvsadm logrotate
%if 0%{?fedora_version}
Please sign in to comment.
Something went wrong with that request. Please try again.